Bug 1471934 - [abrt] gnome-shell: js::gc::StoreBuffer::isOkayToUseBuffer(): gnome-shell killed by signal 11
[abrt] gnome-shell: js::gc::StoreBuffer::isOkayToUseBuffer(): gnome-shell kil...
Status: NEW
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:6bd988a0786cf7a76475b034cc6...
:
: 1474659 1490055 1496987 1502727 1505461 1525384 1562689 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-17 13:27 EDT by Bill Gianopoulos
Modified: 2018-05-03 04:45 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (75.99 KB, text/plain)
2017-07-17 13:27 EDT, Bill Gianopoulos
no flags Details
File: cgroup (289 bytes, text/plain)
2017-07-17 13:27 EDT, Bill Gianopoulos
no flags Details
File: core_backtrace (30.68 KB, text/plain)
2017-07-17 13:27 EDT, Bill Gianopoulos
no flags Details
File: cpuinfo (940 bytes, text/plain)
2017-07-17 13:27 EDT, Bill Gianopoulos
no flags Details
File: dso_list (26.28 KB, text/plain)
2017-07-17 13:27 EDT, Bill Gianopoulos
no flags Details
File: environ (1.50 KB, text/plain)
2017-07-17 13:27 EDT, Bill Gianopoulos
no flags Details
File: exploitable (82 bytes, text/plain)
2017-07-17 13:27 EDT, Bill Gianopoulos
no flags Details
File: limits (1.29 KB, text/plain)
2017-07-17 13:27 EDT, Bill Gianopoulos
no flags Details
File: maps (141.85 KB, text/plain)
2017-07-17 13:27 EDT, Bill Gianopoulos
no flags Details
File: open_fds (7.49 KB, text/plain)
2017-07-17 13:27 EDT, Bill Gianopoulos
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-07-17 13:27 EDT, Bill Gianopoulos
no flags Details
File: var_log_messages (628 bytes, text/plain)
2017-07-17 13:27 EDT, Bill Gianopoulos
no flags Details

  None (edit)
Description Bill Gianopoulos 2017-07-17 13:27:16 EDT
Version-Release number of selected component:
gnome-shell-3.24.2-1.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::gc::StoreBuffer::isOkayToUseBuffer
executable:     /usr/bin/gnome-shell
journald_cursor: s=96aaadda91d348359d613205fa2ac597;i=62883;b=050aca573fc940708654582fce0267e3;m=2e2d75df0;t=554866aa72b93;x=9540d8a5365e52cf
kernel:         4.11.9-300.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 js::gc::StoreBuffer::isOkayToUseBuffer at /usr/src/debug/mozilla-esr38/js/src/gc/StoreBuffer.h:363
 #1 js::gc::StoreBuffer::unputFromAnyThread<js::gc::StoreBuffer::MonoTypeBuffer<js::gc::StoreBuffer::CellPtrEdge>, js::gc::StoreBuffer::CellPtrEdge> at /usr/src/debug/mozilla-esr38/js/src/gc/StoreBuffer.h:387
 #2 js::gc::StoreBuffer::removeRelocatableCellFromAnyThread at /usr/src/debug/mozilla-esr38/js/src/gc/StoreBuffer.h:458
 #3 JS::HeapCellRelocate at /usr/src/debug/mozilla-esr38/js/src/gc/StoreBuffer.cpp:221
 #4 js::GCMethods<JSObject*>::relocate at /usr/include/mozjs-38/js/RootingAPI.h:669
 #5 JS::Heap<JSObject*>::relocate at /usr/include/mozjs-38/js/RootingAPI.h:310
 #6 JS::Heap<JSObject*>::set at /usr/include/mozjs-38/js/RootingAPI.h:297
 #7 JS::Heap<JSObject*>::operator= at /usr/include/mozjs-38/js/RootingAPI.h:266
 #8 GjsMaybeOwned<JSObject*>::reset at gjs/jsapi-util-root.h:267
 #9 release_native_object at gi/object.cpp:1258
Comment 1 Bill Gianopoulos 2017-07-17 13:27:22 EDT
Created attachment 1299963 [details]
File: backtrace
Comment 2 Bill Gianopoulos 2017-07-17 13:27:23 EDT
Created attachment 1299964 [details]
File: cgroup
Comment 3 Bill Gianopoulos 2017-07-17 13:27:25 EDT
Created attachment 1299965 [details]
File: core_backtrace
Comment 4 Bill Gianopoulos 2017-07-17 13:27:27 EDT
Created attachment 1299966 [details]
File: cpuinfo
Comment 5 Bill Gianopoulos 2017-07-17 13:27:30 EDT
Created attachment 1299967 [details]
File: dso_list
Comment 6 Bill Gianopoulos 2017-07-17 13:27:31 EDT
Created attachment 1299968 [details]
File: environ
Comment 7 Bill Gianopoulos 2017-07-17 13:27:34 EDT
Created attachment 1299969 [details]
File: exploitable
Comment 8 Bill Gianopoulos 2017-07-17 13:27:37 EDT
Created attachment 1299970 [details]
File: limits
Comment 9 Bill Gianopoulos 2017-07-17 13:27:43 EDT
Created attachment 1299971 [details]
File: maps
Comment 10 Bill Gianopoulos 2017-07-17 13:27:47 EDT
Created attachment 1299972 [details]
File: open_fds
Comment 11 Bill Gianopoulos 2017-07-17 13:27:50 EDT
Created attachment 1299973 [details]
File: proc_pid_status
Comment 12 Bill Gianopoulos 2017-07-17 13:27:51 EDT
Created attachment 1299974 [details]
File: var_log_messages
Comment 13 Georgii Iesaulov 2017-07-25 02:59:16 EDT
*** Bug 1474659 has been marked as a duplicate of this bug. ***
Comment 14 bhavin192 2017-09-09 14:11:39 EDT
*** Bug 1490055 has been marked as a duplicate of this bug. ***
Comment 15 Steevithak 2017-09-28 17:27:50 EDT
*** Bug 1496987 has been marked as a duplicate of this bug. ***
Comment 16 fabien.id 2017-10-16 10:29:46 EDT
*** Bug 1502727 has been marked as a duplicate of this bug. ***
Comment 17 Giovanni 2017-10-23 11:50:49 EDT
*** Bug 1505461 has been marked as a duplicate of this bug. ***
Comment 18 Kazimieras Vaina 2017-10-25 13:12:17 EDT
Similar problem has been detected:

System was idle. After gnome shell crash fonts became blurry. This might be driver related (nvidia) -
driver driving the display, because  blurriness does not appear in the screenshot.

reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: js::gc::StoreBuffer::isOkayToUseBuffer
executable:     /usr/bin/gnome-shell
journald_cursor: s=6d1eee1f92c3440ab220bd7062a545e5;i=34a20a;b=a1384122bb9940188d536278351da920;m=3705f0833f;t=55c61ec6a151e;x=8657dd95231b5550
kernel:         4.13.5-200.fc26.x86_64
package:        gnome-shell-3.24.3-2.fc26
reason:         gnome-shell killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 19 Darius Ivanauskas 2017-12-13 04:10:10 EST
*** Bug 1525384 has been marked as a duplicate of this bug. ***
Comment 20 canchang 2018-04-02 02:19:18 EDT
*** Bug 1562689 has been marked as a duplicate of this bug. ***
Comment 21 Fedora End Of Life 2018-05-03 04:45:44 EDT
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.